/*************************************************************************
 *
 *
 *    (c) Copyright Olimex 2010
 *
 *    File name   : extcon_test.h
 *    Description : External connectors test
 *
 *    History :
 *    1. Date        : 25, February 2010
 *       Author      : Aleksandar Mitev
 *       Description : Create
 *
 **************************************************************************/

#ifndef _BSP_H
#define _BSP_H

/* definitions of the leds */
#define LED_OFF() 			GPIO->P[0].DOUTSET |= (1 << 0)
#define LED_ON()			GPIO->P[0].DOUTCLR |= (1 << 0)
#define LED_TOGGLE()      GPIO->P[0].DOUTTGL |= (1 << 0)

/* definitions of the buttons */
#define BTN_PRESSED()         (!(GPIO->P[0].DIN & (1 << 1)))

#endif // _BSP_H